body {
    font-family: Arial, Helvetica, sans-serif;
    color: black;
    transition: background-color 0.8s, color 0.8s;
    background-color: #ffffff;
    gap: 500px;
    text-align: center;
}

.dark {
    background-color: rgb(13, 17, 23);
    color: white;
}

.dark header {
    background-color: rgb(1, 4, 9);
}


main {
    width: 100%;
    margin-top: 5%;
    height: auto;
    display: flex;
    padding: 0 35px 0 55px;

}

#home {
    margin-bottom: 5%;
}


#title {
    display: flex;
    flex-direction: column;
    align-items: left;
    justify-content: center;
    text-align: left;
    gap: 25px;
}

#title h1 {
    font-size: 530%;
    letter-spacing: 1px;
    font-family: Inter, sans-serif;
    font-weight: 500;
    width: 100%;
}

#title p {
    font-size: 250%;
    font-family: 'Inter', sans-serif;
    font-weight: 250;
    /* SemiBold */
}

.container_secundario {
    width: 100%;
    padding-top: 4%;
}

.container_secundario img {
    width: auto;
    height: 650px;
}

#caixaVenda {

    background-color: #D9D9D9;
    width: 1800px;
    height: 1000px;
    position: absolute;
    border-radius: 20px;
    margin-top: 55px;
}

.dark #caixaVenda{

    background-color: #2b3137;
}


.planos-title{
    font-size: 40px;
    font-weight: bold;
    margin: 40px;
    color: black;
    display: flex;
    justify-content: center;

}

.dark .planos-title{
    color: #FAFAFA;
}


.planos{
    margin-top: 150px;
    display: flex;
    gap: 70px;
    justify-content: center;
}
.plano-mensal{
    height: 520px;
    width: 500px;
    background-color: #F3F3F3;
    border-radius: 25px;
    box-shadow: 5px 5px 10px rgba(53, 53, 53, 0.655); /*Comando para adicionar sombra (5px para direita, 5px para esquerda e 10 px de desfoque)*/
}

.dark .plano-mensal{
    background-color: #24292e;
    
}

.dark .plano-semestral{
    background-color: #24292e;
    
}

.dark .plano-anual{
    background-color: #24292e;
    
}

.dark .button-comprar-mensal p{
    color: #FAFAFA;
}

.dark .button-comprar-semestral p{
    color: #FAFAFA;
}

.dark .button-comprar-anual p{
    color: #FAFAFA;
}

.plano-mensal-title{
    font-size: 30px;
    font-weight: bold;
    margin: 40px;
    color: black;
}

.dark .plano-mensal-title{

    color: white;
}


.dark .plano-semestral-title{

    color: white;
}

.dark .plano-anual-title{

    color: white;
}

.valor-planos{
    font-size: 25px;
    color: #616360;
    margin: 30px;
    margin-bottom: 60px;
}
.conteúdo-plano{
    display: flex;
    margin-left: 30px;
    margin-top: 20px;
}

.dark .conteúdo-plano p{
    color: white;
}

.dark .valor-planos{
    color: #238636;
}

.conteúdo-plano img{
    width: 30px;
    height: 30px;

}
.conteúdo-plano p{
    font-size: 25px;
    color: black;
}
.button-comprar-mensal{
    background-color: #2dba4e;
    border-radius: 30px;
    font-weight: 450;
    color:black;
    cursor: pointer;
    width: 150px;
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-left: 170px;
    margin-top: 80px;
}

.dark .button-comprar-mensal{
    background-color: #238636;
   
}

.dark .button-comprar-semestral{
    background-color: #238636;
   
}

.dark .button-comprar-anual{
    background-color: #238636;
   
}

.button-comprar-mensal p{
    font-size: 30px;
    color: #FAFAFA
    
}
.plano-semestral{
    height: 520px;
    width: 500px;
    background-color: #F3F3F3;
    border-radius: 25px;
    box-shadow: 5px 5px 10px rgba(53, 53, 53, 0.655); /*Comando para adicionar sombra (5px para direita, 5px para esquerda e 10 px de desfoque)*/    
}
.plano-semestral-title{
    font-size: 30px;
    font-weight: bold;
    margin: 40px;
    color: black;
}
.button-comprar-semestral{
    background-color: #2dba4e;
    border-radius: 30px;
    font-weight: 450;
    color:black;
    cursor: pointer;
    width: 150px;
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-left: 170px;
    margin-top: 30px;
    font-family: Inter, sans-serif;
}
.button-comprar-semestral p{
    font-size: 30px;
    color: #FAFAFA;
}

.plano-anual{
    height: 520px;
    width: 500px;
    background-color: #F3F3F3;
    border-radius: 25px;
    box-shadow: 5px 5px 10px rgba(53, 53, 53, 0.655); /*Comando para adicionar sombra (5px para direita, 5px para esquerda e 10 px de desfoque)*/    
}
.plano-anual-title{
    font-size: 30px;
    font-weight: bold;
    margin: 40px;
    color: black;
}
.button-comprar-anual{
    background-color: #2dba4e;
    border-radius: 30px;
    color:black;
    cursor: pointer;
    width: 150px;
    height: 50px;
    font-weight: 450;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-left: 170px;
    margin-top: 30px;
    font-family: Inter, sans-serif;
}
.button-comprar-anual p{
    font-size: 30px;
    color: #FAFAFA;
}
footer{
    margin-top: 1200px;
}

.texto2 {
    position: relative;
    top: 10%;
    font-size: xx-large;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: underline;
}

.centro {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 25px;
    margin-top: 20px;
}

.linha-pequenas {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 25px;
    width: 100%;
}

.caixa {
    font-size: 20px;
    width: 320px;
    height: 70px;
    background-color: white;
    border-radius: 18px;
    border: 3px solid black;
    padding: 15px;
    outline: none;
}

.caixaDeTexto {
    font-size: 20px;
    width: 800px;
    max-width: 95%;
    height: 220px;
    background-color: white;
    border-radius: 18px;
    border: 3px solid black;
    padding: 15px;
    resize: vertical;
}

#caixaEnviar {
    padding: 0px 0px 25px 0px;
}

#caixaEnviar .enviar {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #2dba4e;
    border-radius: 40px;
    color: #FAFAFA;
    cursor: pointer;
    transition: 0.3s;
}

.dark #caixaEnviar .enviar {
    background-color:  #238636;
}

.enviar {
    width: 250px;
    height: 75px;
    font-size: 30px;
    font-family: Inter, sans-serif;
    font-weight: 500;
}



.cop {
    display: flex;
    justify-content: center;
    padding-bottom: 20px;
}

/*responsividade */
@media screen and (max-width: 1024px){

    #title {
    display: flex;
    flex-direction: column;
    align-items: left;
    justify-content: center;
    text-align: left;
    gap: 25px;
    }

    #title h1 {
    font-size: 230%;
    }

    #title p {
    font-size: 200%;
    }

    .container_secundario img {
        position: absolute;
        top: 70%;
        left: 7%;
        width: 650px;
        height: 400px;
    }

    #caixaVenda {
    background-color: #D9D9D9;
    width: 700px;
    height: 2100px;
    position: absolute;
    left: 5%;
    top: 130%;
    border-radius: 20px;
    margin-top: auto;
    }

    .planos{
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    footer{
    margin-top: 3000px;
    }
}

/*Responsividade mobile*/
@media (max-width: 480px){

    #title h1 {
    font-size: 27px;
    text-align:left;
    }

    #title p {
    font-size: 20px;
    text-align: left;
    }

    .container_secundario img {
        position: absolute;
        top: 90%;
        left: 15%;
        width: 265px;
        height: 135px;
    }

    #caixaVenda {
    width: 340px;
    height: 1400px;
    left: 5%;
    top: 130%;
    }
    .planos{
    gap:60px ;
    margin-top: 70px;
    }

    .planos-title{
    font-size: 25px;
    font-weight: bold;
    margin: 20px;
    margin-bottom: 10px;
    color: black;
    }

    .plano-mensal{
    height: 360px;
    width: 300px;
    }

    .plano-mensal-title{
    font-size: 25px;
    font-weight: bold;
    margin: 25px;
    color: black;
    }
    .valor-planos{
    font-size: 20px;
    color: #616360;
    margin: 15px;
    margin-bottom: 20px;
    }
    .conteúdo-plano{
    margin-left: 5px;
    margin-top: 15px;
    }
    .conteúdo-plano img{
    width: 25px;
    height: 25px;
    margin-right: 5px;
    }

    .conteúdo-plano p{
    font-size: 17px;
    color: black;
    }

    .button-comprar-mensal{
    margin-left: 75px;
    margin-top: 40px;
    }

    .button-comprar-mensal p{
    font-size: 30px;
    color: black;
    }

    .plano-semestral{
    height: 360px;
    width: 300px;
    }

    .plano-semestral-title{
        font-size:25px;
        margin: 20px;
    }
    .button-comprar-semestral{
        margin-left: 75px;
        margin-top: 20px;
    }
    .plano-anual{
    height: 360px;
    width: 300px;
    }
    .plano-anual-title{
    font-size: 25px;
    margin: 20px;
    }
    .button-comprar-anual{
    margin-left: 75px;
    margin-top: 20px;
    }

    footer{
    margin-top: 1800px;
    }

}

